Home > Could Not > Cannot Find Gemfile

Cannot Find Gemfile

Contents

The third, however, can only be performed by invoking the git command as the current user. Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 24 Star 206 Fork 55 WebEntity/Installation-guide-for-GitLab-on-OS-X Code Issues 2 Pull requests 1 Projects In some cases, that location may not be writable by your Unix user. Thanks! (including just in case:) $ sudo chown -R git:git /Users/git/gitlab/vendor/bundle/ruby $ sudo su git $ cd /Users/git/gitlab $ bundle install --deployment --without development test mysql aws Fetching gem metadata from http://txtbl.com/could-not/cannot-find-assembly.html

Is it acceptable to ask an unknown professor outside my dept for help in a related field during his office hours? Reload to refresh your session. Terms Privacy Security Status Help You can't perform that action at this time. I confirmed bundler 1.5.0.rc.2 also works for me.

Could Not Locate Gemfile Ubuntu

However, you can explicitly tell Bundler to skip installing certain groups with the --without option. bobtiki commented Jul 6, 2015 Thanks, CiTroNaK! What could it be? For a better animation of the solution from NDSolve Does swap space have a file System?

  1. For instance, if the rails gem comes with a rails executable, this flag will create a bin/rails executable that ensures that all referred dependencies will be resolved using the bundled gems.
  2. Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc.
  3. This overrides any previous configuration of --path. --no-cache Do not update the cache in vendor/cache with the newly bundled gems.
  4. Using json (1.5.5) Using bundler (1.3.5) Your bundle is complete!
  5. where can i find this gem?11Bundle Install could not fetch specs from https://rubygems.org/1bundle exec fails with “could not find rake-10.1.0 in any of the sources”0The Cucumber book : Could not locate
  6. When you run bundle install --without production in development, we look at the dependencies of rack-perftools-profiler as well.
  7. I have different responses for both: $ ruby -v ruby 2.0.0p481 (2014-05-08 revision 45883) [universal.x86_64-darwin14] $ which bundle /Applications/Server.app/Contents/ServerRoot/usr/bin/bundle $ sudo su git $ ruby -v ruby 2.1.6p336 (2015-04-13 revision 50298)
  8. Gemfile is a file containing your gem settings for a current program.

Register now! Palindrome polyglot Converting the weight of a potato into a letter grade "PermitRootLogin no" in sshd config doesn't prevent `su -` Real numbers which are writable as a differences of two ruby >= 2.0.0 is OK. Could Not Locate Gemfile Or .bundle/ Directory Kali Linux pmontrasio commented Jan 15, 2014 No permission issues.

Is there a workaround to resolve this? Could Not Locate Gemfile Gitlab proof of log(xy) = log (x) + log (y) E/Z configuration of the central double bond in a highly branched poly-ene Probability of All Combinations of Given Events more hot questions you can install gems without bundler, manually. https://teamtreehouse.com/community/could-not-locate-gem-file-or-bundle-directory Thanks!

share|improve this answer edited Jan 5 '15 at 19:16 potashin 30.8k54274 answered Jul 25 '10 at 16:40 Joni 1,93731521 2 Thanks. Could Not Locate Gemfile Or .bundle/ Directory Vagrant Should I have run out of engine oil? Thanks for the help! johnantoni commented Jul 29, 2015 Looks to be good.

Could Not Locate Gemfile Gitlab

Additionally, the installation guide reads: In case if you are using postgres as database: sudo -u git -H -i gem install bundler sudo -u git -H -i bundle install --deployment --without https://github.com/Thibaut/devdocs/issues/107 Make sure that `gem install nokogiri -v '1.6.6.2'` succeeds before bundling. Could Not Locate Gemfile Ubuntu Could someone give the correct command to swith to the current version ? Bundle Exec Could Not Locate Gemfile Or .bundle/ Directory Do students wear muggle clothing while not in classes at Hogwarts (like they do in the films)?

See also: https://github.com/bundler/bundler/issues/2854 https://github.com/bundler/bundler/issues/2780 This reverts commit bd0243ee3396a74227dec330c8a2c159deccb5a7.">Revert "reinstalls gem if gem dir is missing but spec exists" … It turns out that this has some pretty extensive repurcussions, and makes uninitialized constant Rake::DSL The problem solved by updating rubygems to version 1.8 RE: Could not locate Gemfile - Added by penkerch christophe over 4 years ago To make it works,I had grk commented Dec 27, 2013 Any chance for a release with that fix? I expected Bundler to... Could Not Locate Gemfile Or .bundle/ Directory Centos

In an effort to comply, I ran: $ sudo -u git git add Gemfile $ sudo -u git git add Gemfile.lock $ sudo -u git git commit -m "Updated Gemfile and Join them; it only takes a minute: Sign up bundle install returns “Could not locate Gemfile” up vote 60 down vote favorite 13 I'm new to Rails and am currently working After that i run this "bundle install --local" And gave me this error C:\USERS\RLG>"bundle install --local" Could not locate Gemfile Please can somebody help me out..!!what steps do i need to Reload to refresh your session.

Fetching dependency metadata from https://rubygems.org/.. Rubymine Could Not Locate Gemfile Or .bundle/ Directory CiTroNaK closed this Sep 23, 2015 Sign up for free to join this conversation on GitHub. See also: #2854 #2780 This reverts commit bd0243e. 06596ca indirect added a commit that referenced this issue Feb 6, 2014 indirect Get a cup of coffee waiting for your LIVE FEDENA maundinc 2014-02-20 13:08:03 UTC You can get your own LIVE FEDENA in 30 mins simply follow the 3 steps below. 1.

Deployment Mode Bundler's defaults are optimized for development. Installing rake 10.4.2 Installing CFPropertyList 2.3.1 Installing RedCloth 4.2.9 with native extensions Installing ace-rails-ap 2.0.1 Installing i18n 0.7.0 Installing json 1.8.3 with native extensions Installing minitest 5.3.5 Installing thread_safe 0.3.5 Installing trying anyway. Gitlab Could Not Locate Gemfile Or .bundle/ Directory We recommend upgrading to the latest Safari, Google Chrome, or Firefox.

Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count). prior to running this command make sure you have installed the gem "sudo gem install bundler" share|improve this answer answered Aug 30 at 9:37 Anant Agarwal 111 he did Could not locate Gemfile or .bundle/ directory (but I did : cd my_project) Started by roberto , Mar 09 2015 06:39 PM Please log in to reply 3 replies to this jonleighton commented Dec 27, 2013 @indirect I also experienced this problem and your patch works for me.

Please check again your project to make sure that you have gemfile in this directory Back to top Report #4 jefflunt jefflunt Guard Moderators 206 posts Posted 01 April 2015 - Since I'm installing for use with with Postgres, I get to this line under the Install Gems section: sudo -u git -H -i bundle install --deployment --without development test mysql aws bundle install --deployment --without development test postgres aws and omitting the sudo -u git -H -i worked fine. RE: Could not locate Gemfile - Added by Grzegorz Tomasiak over 4 years ago That's a script/about #!/usr/bin/env ruby require File.expand_path('../../config/boot', __FILE__) $LOAD_PATH.unshift "#{RAILTIES_PATH}/builtin/rails_info" require 'commands/about' Redmine::About.print_plugin_info and gems list ***

I don't want to risk taking the other app down. Fetching additional metadata from https://rubygems.org/.. This should not cause any problems in practice, because we do not attempt to install the gems in the excluded groups, and only evaluate as part of the dependency resolution process. https://github.com/bundler/bundler/issues/2780">Fix bundler 1.5.0 missing json build failure for Ruby 2.1.0 . … bundler 1.5.0 does not appear to detect Ruby-shipped gems properly.

Another RoR newbie here and that was exactly my problem installing Redmine. Thanks Clement Osei tutu harrykp 2012-07-13 21:30:22 UTC Hi Kingot Did you get this resolved? Or at least an rc? :) Bundler member hone commented Dec 27, 2013 @eagletmt this fails for me locally with bundler 1.3.5 as well when using ruby 1.9.3-p484. Terms Privacy Security Status Help You can't perform that action at this time.

Reload to refresh your session. Database migration is the same as usual ? sudo -u git -H -i BUNDLE_GEMFILE="~/gitlab/Gemfile" bundle install --deployment --without development test postgres aws Web Entity member CiTroNaK commented Sep 23, 2015 Gitlab recommended to not use version managers for ruby. petergoldstein referenced this issue in philostler/rspec-sidekiq Dec 28, 2013 Merged Fix Rubinius build #38 carloslopes commented Dec 28, 2013 Thanks for the hard work! ❤️ davidhenning added a commit to WebCodr/schnitzelpress

Sign in Email Address Password I forgot my password Sign in Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox. To explicitly update actionpack, including its dependencies which other gems in the Gemfile(5) still depend on, run bundle update actionpack (see bundle update(1)).